## ros-kinetic-cob-simulation 0.7.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_simulation)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-kinetic-cob-simulation (0.7.5-1xenial) xenial; urgency=high

  * Merge pull request #178 <https://github.com/ipa320/cob_simulation/issues/178> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Tue, 01 Dec 2020 23:00:00 -0000

ros-kinetic-cob-simulation (0.7.4-1xenial) xenial; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-kinetic-cob-simulation (0.7.3-1xenial) xenial; urgency=high

  * Merge pull request #172 <https://github.com/ipa320/cob_simulation/issues/172> from fmessmer/cob_gazebo_tools
    new package cob_gazebo_tools
  * add new package cob_gazebo_tools
  * Contributors: Felix Messmer, fmessmer

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Wed, 06 Nov 2019 23:00:00 -0000

ros-kinetic-cob-simulation (0.7.2-1xenial) xenial; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Fri, 09 Aug 2019 22:00:00 -0000

ros-kinetic-cob-simulation (0.7.1-1xenial) xenial; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Tue, 06 Aug 2019 22:00:00 -0000

ros-kinetic-cob-simulation (0.7.0-1xenial) xenial; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Tue, 06 Aug 2019 22:00:00 -0000

ros-kinetic-cob-simulation (0.6.10-1xenial) xenial; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-kinetic-cob-simulation (0.6.9-1xenial) xenial; urgency=high

  * Merge pull request #160 <https://github.com/ipa320/cob_simulation/issues/160> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #154 <https://github.com/ipa320/cob_simulation/issues/154> from ipa-fxm/update_maintainer
    update maintainer
  * update maintainer
  * Merge pull request #151 <https://github.com/ipa320/cob_simulation/issues/151> from ipa-fxm/APACHE_license
    use license apache 2.0
  * Merge pull request #153 <https://github.com/ipa320/cob_simulation/issues/153> from ipa-rmb/ipa-rmb-changed-maintainers
    Changed maintainers
  * changed maintainers
  * use license apache 2.0
  * Contributors: Felix Messmer, Richard Bormann, ipa-fxm, ipa-uhr-mk

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-kinetic-cob-simulation (0.6.8-1xenial) xenial; urgency=high

  * manually fix changelog
  * Contributors: ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 30 Jul 2017 22:00:00 -0000

ros-kinetic-cob-simulation (0.6.7-1xenial) xenial; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 23 Oct 2016 22:00:00 -0000

ros-kinetic-cob-simulation (0.6.6-1xenial) xenial; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-kinetic-cob-simulation (0.6.5-1xenial) xenial; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-kinetic-cob-simulation (0.6.4-1xenial) xenial; urgency=high

  * migration to package format 2
  * remove trailing whitespaces
  * review dependencies
  * Contributors: ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Fri, 28 Aug 2015 22:00:00 -0000

ros-kinetic-cob-simulation (0.6.3-1xenial) xenial; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-kinetic-cob-simulation (0.6.2-1xenial) xenial; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 14 Dec 2014 23:00:00 -0000

ros-kinetic-cob-simulation (0.6.1-1xenial) xenial; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 21 Sep 2014 22:00:00 -0000

ros-kinetic-cob-simulation (0.6.0-1xenial) xenial; urgency=high

  * Merge pull request #64 <https://github.com/ipa320/cob_simulation/issues/64> from ipa320/hydro_release_candidate
    Hydro release candidate
  * 0.5.2
  * update changelog
  * Contributors: Florian Weisshardt

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 17 Sep 2014 22:00:00 -0000

ros-kinetic-cob-simulation (0.5.2-1xenial) xenial; urgency=high

  * New maintainer
  * Contributors: ipa-nhg

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 27 Aug 2014 22:00:00 -0000

ros-kinetic-cob-simulation (0.5.1-1xenial) xenial; urgency=high

  * added environment specific gazebo configuration to cob_simulation, to get gazebo deps out of cob_environments. Discussed with fmw
  * Initial catkinization.
  * Contributors: abubeck

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Thu, 20 Mar 2014 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-cob-simulation
Section: misc
Priority: optional
Maintainer: Richard Bormann <richard.bormann@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://ros.org/wiki/cob_simulation
Standards-Version: 3.9.2

Package: ros-kinetic-cob-simulation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-cob-bringup-sim, ros-kinetic-cob-gazebo, ros-kinetic-cob-gazebo-objects, ros-kinetic-cob-gazebo-tools, ros-kinetic-cob-gazebo-worlds
Description: The cob_simulation stack includes packages to work with Care-O-bot within simulation environments, e.g.
 gazebo.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-cob-simulation//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
